Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 676062 - dev-lang/perl-5.28.0 on sparc - /bin/sh: line 1: 26438 Bus error / Failed to build miniperl. Please run make minitest
Summary: dev-lang/perl-5.28.0 on sparc - /bin/sh: line 1: 26438 Bus error / Failed to ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard: tracking upstream
Keywords:
Depends on:
Blocks: unaligned-access
  Show dependency tree
 
Reported: 2019-01-22 18:07 UTC by Ben Kohler
Modified: 2020-08-11 00:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,60.17 KB, text/plain)
2019-01-22 18:07 UTC, Ben Kohler
Details
perl-5.30.0 build log (perl-5.30.0+gcc8.3.0-r1.log,59.32 KB, text/x-log)
2019-07-15 14:17 UTC, Will Simoneau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Kohler gentoo-dev 2019-01-22 18:07:06 UTC
Created attachment 562518 [details]
build.log

See attached log, and upstream bug, for details.  Current workaround is to use -O0 or older gcc.
Comment 1 Andreas K. Hüttel gentoo-dev 2019-05-19 20:49:26 UTC
I'm going to call for stabilization of Perl 5.28 for everyone except hppa and sparc in bug 685664. If you want to go ahead anyway, please cc yourself there and proceed. Otherwise I'd suggest we wait for now until the upstream bug brings results.
Comment 2 Andreas K. Hüttel gentoo-dev 2019-07-14 19:14:13 UTC
@everyone, 

as a data point when talking to upstream, could you please test if this failure still happens with perl-5.30.0 ?

You dont need to actually install perl-5.30.0 for that; it's enough if you run

ebuild /usr/portage/dev-lang/perl/perl-5.30.0.ebuild clean test
Comment 3 Will Simoneau 2019-07-15 14:17:52 UTC
Created attachment 582886 [details]
perl-5.30.0 build log

Yes, perl-5.30.0 appears to fail for the same reason.
Comment 4 Matt Turner gentoo-dev 2019-07-26 05:55:30 UTC
Yes, still happens with 5.30.0.
Comment 5 Matt Turner gentoo-dev 2019-09-03 05:04:33 UTC
We should just hack the Configure test or something and keep perl up to date on sparc and hppa.

With it hacked, Perl passes the test suite on both 32- and 64-bit sparc userlands.
Comment 6 Matt Turner gentoo-dev 2019-09-05 05:15:43 UTC
I attached a patch series to the RT ticket that fixes this.

https://rt.perl.org/Ticket/Display.html?id=133495#txn-1654811

Feel free to give it a test.
Comment 7 Larry the Git Cow gentoo-dev 2019-09-09 23:27:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7fee0dcc4c9155f5d826da7d119d8f51d238e3e

commit b7fee0dcc4c9155f5d826da7d119d8f51d238e3e
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2019-09-07 21:36:29 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2019-09-09 23:25:46 +0000

    dev-lang/perl: Use Dd_u32align on sparc
    
    Upstream fix is in progress at
    
            https://rt.perl.org/Ticket/Display.html?id=133495
    
    but this is a very simple workaround with the same result until then.
    
    Closes: https://bugs.gentoo.org/676062
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-lang/perl/perl-5.28.2-r1.ebuild | 1 +
 dev-lang/perl/perl-5.28.9999.ebuild | 1 +
 dev-lang/perl/perl-5.30.0.ebuild    | 1 +
 3 files changed, 3 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2019-09-11 16:03:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cda54159254005417ef6bfc943e60f8092aa095

commit 8cda54159254005417ef6bfc943e60f8092aa095
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-09-11 15:32:46 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-09-11 16:03:42 +0000

    dev-lang/perl: Combine -Dd_u32align definitions, add HPPA
    
    Although unaligned accesses are not fatal on PARISC, as they are
    automatically realigned as they occur, this has a non-trivial impact on
    performance that ought to be fixed upstream. Work around it the same way
    sparc*-* does and combine both efforts into a single myconf() call.
    
    Package-Manager: Portage-2.3.75, Repoman-2.3.17
    Bug: https://bugs.gentoo.org/676062
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 dev-lang/perl/perl-5.28.2-r1.ebuild | 5 +++--
 dev-lang/perl/perl-5.28.9999.ebuild | 5 +++--
 dev-lang/perl/perl-5.30.0.ebuild    | 5 +++--
 3 files changed, 9 insertions(+), 6 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2020-08-11 00:03:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9b817af0802a4cb04162962038deabc1bd309c7

commit e9b817af0802a4cb04162962038deabc1bd309c7
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-08-11 00:02:30 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-08-11 00:02:30 +0000

    dev-lang/perl: Remove unaligned access direction workaround
    
    As its been indicated that this detection has been fixed upstream in
    perl since 5.31.5, and the workaround should no longer be needed
    
    Bug: https://bugs.gentoo.org/676062
    Bug: https://bugs.gentoo.org/688432
    Bug: https://github.com/Perl/perl5/issues/16828
    Bug: https://github.com/Perl/perl5/issues/16680
    Commit: https://github.com/perl/perl5/commit/ee9ac1cd8eb988fea70841eae211b11355711416
    Commit: https://github.com/perl/perl5/commit/e8864dba80952684bf3afe83438d4eee0c3939a9
    Package-Manager: Portage-2.3.103, Repoman-2.3.22
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-lang/perl/perl-5.32.0-r1.ebuild | 8 --------
 dev-lang/perl/perl-5.32.0.ebuild    | 8 --------
 2 files changed, 16 deletions(-)